> For the complete documentation index, see [llms.txt](https://docs.plenit.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.plenit.com/docs-pt/reference/getting-started/introduction.md).

# Introdução

<br>

Esta API permite conectar-se à nossa plataforma e gerir automaticamente diferentes recursos. Em vez de realizar ações manualmente — como criar itens ou consultar informações através de uma interface web —, pode fazê-lo enviando pedidos a partir da sua aplicação ou de scripts.

Se nunca utilizou uma API antes, não se preocupe: a ideia principal é que você envia um pedido para um endereço específico (um endpoint), e a plataforma devolve uma resposta em **JSON** formato, que é um formato de texto muito fácil de ler.

A API está organizada em diferentes secções, cada uma dedicada a um tipo de recurso. Por exemplo, pode haver secções para criar recursos, listar os que já possui ou atualizar a respetiva configuração. Cada ação é executada usando métodos HTTP bem conhecidos, como **GET, POST, PUT, PATCH ou DELETE**.

Para o utilizar de forma segura, precisará de um token que o identifique como utilizador autorizado. Também fornecemos ferramentas como paginação, filtros e mensagens de erro claras para o ajudar a compreender o que está a acontecer em cada etapa.

Este documento é um guia inicial para o ajudar a familiarizar-se com a estrutura geral da API e começar a integrá-la nas suas próprias aplicações, mesmo que não tenha experiência prévia.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.plenit.com/docs-pt/reference/getting-started/introduction.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
